Bug 332551 - LTC39658: 201189: Update ppc64-utils with code from powerpc-utils and powerpc-utils-papr
LTC39658: 201189: Update ppc64-utils with code from powerpc-utils and powerp...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ppc64-utils (Show other bugs)
4.7
ppc64 All
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
: FutureFeature, OtherQA
Depends On:
Blocks: 296891 367631
  Show dependency treegraph
 
Reported: 2007-10-15 10:30 EDT by IBM Bug Proxy
Modified: 2009-06-19 21:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-21 07:25:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 39658 None None None Never

  None (edit)
Description IBM Bug Proxy 2007-10-15 10:30:18 EDT
=Comment: #0=================================================
Stephanie A. Glass <sglass&#64;us.ibm.com> - 2007-10-15 10:24 EDT
1. Feature Id 	201189
Feature Name 	Update ppc64-utils with code from powerpc-utils and powerpc-utils-papr
Sponsor 	PPC
Category 	Power Servicability
Request Type 	Package - Update Version

2. Short Description 	The RedHat ppc64-utils packages includes the utilities
from the powerpc-utils and powerpc-utils-papr projects. Several fixes and
updates have been made to those packages in the past few months; source code for
the most recent version of both pacakges is downloadable from the community site
at http://powerpc-utils.ozlabs.org/. Note that the librtas package (covered
under a separate feature) is required for several of the utilities in
powerpc-utils-papr.
Architecture 	ppc64 	
Architecture Specific ? Purely Arch Specific Code 	
Affects Toolchain ? no
Affects Installer ? no	
Affects Desktop ? no	
Affects Core Kernel (not mod)? 	no
Affects Kernel Module ? no

3. Describe the Business Case 	powerpc-utils and powerpc-utils-papr contain
utilities that are necessary to enable hardware service procedures, to view and
configure system serviceability parameters, to manage VIO servers, and to
configure SMT, among other things.
Performance Assistance Required? 	no
Benefits 	Enablement of service procedures, simplification of a number of
administrative tasks (such as managing a VIO server, obtaining service data, etc.).
	
4. Sponsor Priority 	
IBM Confidential 	no
Code Contribution ? 	IBM code
Upstream Acceptance 	Accepted
Component Release Version Target 	powerpc-utils-1.0.6, powerpc-utils-papr-1.0.4
Documentation Work 	no

5. Hardware to Red Hat:  N/A

6. PM Contact: Josh Poulson, jrp@us.ibm.com, 360-857-5053

7. Technical Contact: Mike Strosaker, strosake@us.ibm.com, 512-838-9839
Comment 1 IBM Bug Proxy 2007-10-17 13:55:58 EDT
------- Comment From strosake@us.ibm.com 2007-10-17 13:53 EDT-------
The source tarballs can be downloaded from http://powerpc-utils.ozlabs.org/;
please include the utilities from both powerpc-utils and powerpc-utils-papr.  (I
believe that RH calls the package ppc64-utils in RHEL.)
Comment 2 RHEL Product and Program Management 2008-02-01 14:01:15 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 5 John Jarvis 2008-02-12 10:13:20 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux team
for inclusion in a Red Hat Enterprise Linux minor release.   As a result of this
evaluation, Red Hat has tentatively approved inclusion of this feature in the
next Red Hat Enterprise Linux Update minor release.   While it is a goal to
include this enhancement in the next minor release of Red Hat Enterprise Linux,
the enhancement is not yet committed for inclusion in the next minor release
pending the next phase of actual code integration and successful Red Hat and
partner testing.
Comment 6 David Cantrell 2008-02-14 17:47:13 EST
This is not a trivial update like it was for RHEL-5.  Our ppc64-utils package in
RHEL-4 did not include powerpc-utils or powerpc-utils-papr.  In addition, we
have no RHEL-4 package for librtas, which is required for both powerpc-utils and
powerpc-utils-papr.

Is this an update that really applies to RHEL-4?  If so, we need to get approval
to create a librtas package for RHEL-4 and then I can update ppc64-utils.  That
means a new QA slot.

I thought we had shipped librtas in RHEL-4 as well as powerpc-utils and
powerpc-utils-papr, but those are only in RHEL-5.
Comment 11 RHEL Product and Program Management 2008-02-21 07:25:15 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 
Comment 12 IBM Bug Proxy 2008-03-04 14:16:28 EST
------- Comment From strosake@us.ibm.com 2008-03-04 14:12 EDT-------
Not necessary to escalate for RHEL4.

Note You need to log in before you can comment on or make changes to this bug.